PuTTY key generator
===================

PuTTYgen is the PuTTY key generator. You can load in an existing private key and change your passphrase or generate a new public/private key pair.

### Change Password for Existing Private Key

You can change the password of your SSH key with "PuTTY Key Generator". Make sure to backup the key.

-   Load your [private key](../ssh-keys.md) file with     *Load* button.
-   Enter your current passphrase.
-   Change key passphrase.
-   Confirm key passphrase.
-   Save your private key with *Save private key* button.

![](PuttyKeygeneratorV.png)

### Generate a New Public/Private key

You can generate an additional public/private key pair and insert public key into authorized_keys file for authentication with your own private key.

-   Start with *Generate* button.

![](PuttyKeygenerator_001V.png)

-   Generate some randomness.

![](PuttyKeygenerator_002V.png)

-   Wait.

![](PuttyKeygenerator_003V.png)

-   Enter a *comment* for your key using format 'username@organization.example.com'.
    Enter key passphrase.
    Confirm key passphrase.
    Save your new private key `in "*.ppk" `format with *Save private key* button.

![](PuttyKeygenerator_004V.png)

-   Save the public key with *Save public key* button.
    You can copy public key out of the ‘Public key for pasting into authorized_keys file’ box.

![](PuttyKeygenerator_005V.png)

-   Export private key in OpenSSH format "id_rsa" using Conversion -&gt; Export OpenSSH key

![](PuttyKeygenerator_006V.png)

-   Now you can insert additional public key into authorized_keys file for authentication with your own private key.
    You must log in using ssh key received after registration. Then proceed to [How to add your own key](../ssh-keys.md).
